Qt 5.11 | Qt Widgets | C++ Classes | QHeaderView

Qt 5.11.3 Reference Documentation

# Obsolete Members for QHeaderView

The following members of class QHeaderView are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | isClickable() const
`(obsolete)` bool | isMovable() const
`(obsolete)` QHeaderView::ResizeMode | resizeMode(int logicalIndex) const
`(obsolete)` void | setClickable(bool clickable)
`(obsolete)` void | setMovable(bool movable)
`(obsolete)` void | setResizeMode(QHeaderView::ResizeMode mode)
`(obsolete)` void | setResizeMode(int logicalIndex, QHeaderView::ResizeMode mode)

- 3 public functions inherited from QWidget

## Member Function Documentation

### bool QHeaderView::isClickable() const

Use sectionsClickable instead.

See also sectionsClickable().

### bool QHeaderView::isMovable() const

Use sectionsMovable instead.

See also sectionsMovable().

### QHeaderView::ResizeMode QHeaderView::resizeMode(int logicalIndex) const

Use sectionResizeMode instead.

See also setResizeMode() and sectionResizeMode().

### void QHeaderView::setClickable(bool clickable)

Use setSectionsClickable instead.

See also isClickable() and setSectionsClickable().

### void QHeaderView::setMovable(bool movable)

Use setSectionsMovable instead.

See also isMovable() and setSectionsMovable().

### void QHeaderView::setResizeMode(QHeaderView::ResizeMode mode)

Use setSectionResizeMode instead.

See also resizeMode() and setSectionResizeMode().

### void QHeaderView::setResizeMode(int logicalIndex, QHeaderView::ResizeMode mode)

This is an overloaded function.

Use setSectionResizeMode instead.

See also setSectionResizeMode().